#include <iostream>
using namespace std;
int main()
{
    int n,k;
    cin>>n>>k;
    int a[n];
    for(int i=0;i<n;i++)
    {
        cin>>a[i];
    }
    int s;
    int h;
    int f=0;
    for(int i=0;i<n;i++)
    {
        s=a[i];
        h=0;
        for(int j=i;j<n;j++)
        {
            if(s==a[j])
                h++;
        }
        if(h>=k)
            f++;
    }
    cout<<f<<endl;
        for(int i=0;i<n;i++)
    {
        s=a[i];
        h=0;
        for(int j=i;j<n;j++)
        {
            if(s==a[j])
                h++;

        }
        if(h>=k)
            cout<<s<<" ";
    }
    return 0;
}